-- 
--
-- @author  Grisu118
-- @date  08/11/2013
-- @version 1.0
-- Copyright (C) Grisu118, All Rights Reserved.
-- free for noncommerical-usage
Horsch = {};

function Horsch.prerequisitesPresent(specializations)
	return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;
function Horsch:load(xmlFile)	
	self.cabel_1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.cabel_deattached#index"));
	self.cabel_2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.cabel_attached#index"));
	
	setVisibility(self.cabel_1, true);
	setVisibility(self.cabel_2, false);
end;

function Horsch:delete()
end;
function Horsch:readStream(streamId, connection)
end;
function Horsch:writeStream(streamId, connection)
end;
function Horsch:mouseEvent(posX, posY, isDown, isUp, button)
end;
function Horsch:keyEvent(unicode, sym, modifier, isDown)
end;
function Horsch:update(dt)
end;
function Horsch:updateTick(dt)	
end;

function Horsch:draw()
end;
function Horsch:onAttach(attacherVehicle)
	setVisibility(self.cabel_1, false);
	setVisibility(self.cabel_2, true);
end;
function Horsch:onDetach()
	setVisibility(self.cabel_1, true);
	setVisibility(self.cabel_2, false);
end;
